VREDefinitionServiceAsync (VRE Definition Portlet 4.4.0-3.11.0-125802 API)
Date: 2016-05-12

org.gcube.portlets.admin.vredefinition.client

## Interface VREDefinitionServiceAsync

-     public interface VREDefinitionServiceAsync

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getExistingNames(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)`
    `void` | `getFunctionality(boolean isEdit, com.google.gwt.user.client.rpc.AsyncCallback<VREFunctionalityModel> callback)`
    `void` | `getResourceCategoryByFunctionality(String funcId, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ExternalResourceModel>> callback)`
    `void` | `getVRE(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,Object>> callback)`
    `void` | `isEditMode(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,Object>> callback)`
    `void` | `setVRE(VREDescriptionBean bean, String[] functionalityIDs, HashMap<String,List<ExternalResourceModel>> funcToExternalResources, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`

- - ### Method Detail

    - #### getExistingNames

          void getExistingNames(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)

    - #### setVRE

          void setVRE(VREDescriptionBean bean,
                    String[] functionalityIDs,
                    HashMap<String,List<ExternalResourceModel>> funcToExternalResources,
                    com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### getFunctionality

          void getFunctionality(boolean isEdit,
                              com.google.gwt.user.client.rpc.AsyncCallback<VREFunctionalityModel> callback)

    - #### getVRE

          void getVRE(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,Object>> callback)

    - #### isEditMode

          void isEditMode(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,Object>> callback)

    - #### getResourceCategoryByFunctionality

          void getResourceCategoryByFunctionality(String funcId,
                                                com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ExternalResourceModel>> callback)

Copyright © 2016. All Rights Reserved.